---
- name: gather the status of services and packages on the host, gathering services
  service_facts:

- name: gathering packages
  package_facts:
    manager: "auto"

- name: make sure httpd is installed
  yum:
    name: "{{ item }}"
    state: present
  with_items:
    - httpd
    - mariadb
    - mod_nss
    - mod_security
    - policycoreutils-python
    - libsemanage-python
  when: "'httpd' not in ansible_facts.packages"
  register: retval_yum
#  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Red Hat Enterprise Linux'

- name: SELinux Boolean needs to be set so apache can network httpd_can_network_connect
  seboolean:
    name: httpd_can_network_connect
    state: yes
    persistent: y

- name: setup the apache httpd.conf file
  copy:
    src: httpd.conf
    dest: /etc/httpd/conf/httpd.conf
    owner: root
    group: root
    mode: 0644
    serole: object_r
    setype: httpd_config_t
    seuser: system_u
    selevel: s0
  register: retval_httpd_conf

- name: setup firewalld to permit http and https
  firewalld:
    service: "{{ item }}"
    permanent: yes
    state: enabled
  with_items:
    - http
    - https
  when: ansible_facts.services["firewalld.service"].state
